Clutter::InitError Class Reference
Inheritance diagram for Clutter::InitError:
[legend]
Collaboration diagram for Clutter::InitError:
[legend]

List of all members.

## Public Types

enum | Code { INIT_SUCCESS = 1, UNKNOWN = 0, THREADS = -1, BACKEND = -2, INTERNAL = -3 }

## Public Member Functions

| InitError (Code error_code, const Glib::ustring& error_message)
| InitError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Clutter::InitError::Code

Enumerator:

  INIT_SUCCESS |
  UNKNOWN |
  THREADS |
  BACKEND |
  INTERNAL |

## Constructor & Destructor Documentation

Clutter::InitError::InitError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Clutter::InitError::InitError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Clutter::InitError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- cluttermm/types.h